package sgc.portal.cw.cw0624.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0624.dto.CW06240001USearch;
import sgc.portal.cw.cw0624.dto.CW06240001USearch;
import sgc.portal.cw.cw0624.model.CW06240001U;

import java.util.List;

@Mapper
public interface CW06240001UMapper {
	
	
    List<EasyHashMap<String, Object>> getList(CW06240001USearch search);

    int insert(CW06240001U cW06240001U);

    int update(CW06240001U cW06240001U);

    int delete(CW06240001U cW06240001U);
    
    int approve(CW06240001U cW06240001U);

	int selectSeq(CW06240001U cW06240001U);

	int selectSubSeq(CW06240001U cW06240001U);
    
    List<EasyHashMap<String, Object>> getInitData(CW06240001USearch search);
    
    List<EasyHashMap<String, Object>> selectInitData(CW06240001USearch search);
    
    List<EasyHashMap<String, Object>> selectGoalList(CW06240001USearch search);
    
    List<EasyHashMap<String, Object>> selectSeqRowCnt(CW06240001USearch search);
}
